Subject: Re: bug#45701: 28.0.50; [feature/native-comp] (33b8ce8) `M-x report-emacs-bug` error: "Wrong type argument: stringp, nil"

From: Justin Schell <[email-masked]>
Date: Mon, 1 Feb 2021 13:51:03 -0800

> Is this issue still present?  Was it investigated as suggested?

Yes, I just built from the latest `feature/native-comp` commit
(`a8b8d22`) and the issue is still present.

Re: investigation, I was under the impression from your last comment
(below) that you needed to do something to "produce a batch
reproducer". Or did I misunderstand and that's something that I can
do? If so, is there a guide or instructions as I'm not familiar with
how to do that.

> > I guess the next step for me would be to produce a batch reproducer and
> > then run it under gdb with a break point in 'wrong_type_argument' to see
> > where this is going wrong.  It's also bizarre that the Lisp debugger is
> > not triggered by `toggle-debug-on-error'.

Justin